Skip to content

Get Index Information



GET /api/v1/log_index_cfg/{cfg_uuid}/get

Overview

Get detailed information of a bound index configuration.

Route Parameters

Parameter Name Type Required Description
cfg_uuid string Y UUID of the log index configuration

Query Parameters

Parameter Name Type Required Description
isShowAccessCfg boolean Whether to show accessCfg
isShowFields boolean Whether to show the fields list

Supplementary Parameter Description

Response Body Structure Description

Parameter Name Type Description
isBindCustomStore int 1: Index configuration bound to custom storage, 0: Default
storeType string Storage type, ('es': Elasticsearch storage, 'sls': SLS Logstore storage, 'opensearch': OpenSearch storage, 'beaver': Beaver storage, 'clickhouse': ClickHouse storage)
fields array Field mapping configuration
accessCfg array Custom storage index permission configuration items

Request Example

curl 'https://openapi.truewatch.com/api/v1/log_index_cfg/lgim_xxxx32/get' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": {
        "conditions": "",
        "createAt": 1677665779,
        "creator": "xxx",
        "deleteAt": -1,
        "duration": "",
        "extend": {},
        "exterStoreName": "aa_uuid",
        "exterStoreProject": "",
        "externalResourceAccessCfgUUID": "erac_xxxx32",
        "id": 12,
        "isBindCustomStore": 1,
        "isPublicNetworkAccess": 1,
        "name": "openapi_test",
        "queryType": "logging",
        "region": "",
        "regionInfo": {},
        "setting": {},
        "sortNo": 0,
        "status": 0,
        "storeType": "es",
        "updateAt": 1677665779,
        "updator": "xxx",
        "uuid": "lgim_xxxx32",
        "workspaceUUID": "wksp_xxxx32"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-82BF8659-CD28-409B-833B-97AA4758ACA1"
}